#!/usr/bin/env python

import cherrypy, os, string

class Main(object):
    def index(self):
        page = page = ''.join(open('html/index.html','r').readlines() )
        return page
    index.exposed=True

if __name__ == '__main__':

   cherrypy.config.update({'server.socket_port': 8101,
                           'server.thread_pool': 20,
                           'environment': 'production',
                           'log.screen':True,
                           'log.error_file':"jr.log",
                          })

   conf={'/': {'tools.staticdir.root': os.getcwd(),
               'tools.response_headers.on':True,
               'tools.response_headers.headers':
                 [('Expires','Thu, 15 Apr 2010 20:00:00 GMT'),
                  ('Cache-Control','no-store, no-cache, must-revalidate,post-check=0, pre-check=0')],
    	       'tools.staticdir.on': True,
     	       'tools.staticdir.dir':'html'
                       },
         '/html':{'tools.staticdir.on':True,
                   'tools.staticdir.dir':'html',
                  },

        }
   cherrypy.quickstart(Main(), '/', config=conf)
